Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.activity
Class ActionGroupCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.activity.ActionGroupCImpl

public class ActionGroupCImpl
extends PhaseCImpl
implements CompoundActionC, CompoundActionS, ActionCreatingC, ActionCreatingS, DefaultOrderC, DefaultOrderS, ActionGroupS, ActionGroupC

A collection of actions under total or partial order constraints.. An action group is an action plan whose basic representation is a sequence of actions that have been created within it. An action group inherits its underlying representation from the OrderedSet type of the collections library. All the members of the ordered set must consist only of actions that are created by one of the createAction messages defined on ActionGroup itself. Once the actions are created, they may be accessed or traversed using standard messages of the OrderedSet type. The action objects are an integral, controlled component of the action plan in which they are created. If they are removed from the action plan collection using a remove message, the only collection in which they may be reinserted is the same collection from which they came. It is permissible, however, to modify the base representation sequence by removing from one position and reinserting at another.

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`ActionGroupCImpl()`
`ActionGroupCImpl(ActionGroup nextPhase)`

Methods implemented by this class for interface swarm.activity.DefaultOrderS
`setDefaultOrder`

Methods implemented by this class for interface swarm.collections.CollectionC
`setIndexFromMemberLoc, setReplaceOnly`

Methods implemented by this class for interface swarm.activity.AutoDropC
`setAutoDrop`

Methods implemented by this class for interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods implemented by this class for interface swarm.defobj.SetInitialValueC
`setInitialValue`

Methods implemented by this class for interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionGroupCImpl

    public ActionGroupCImpl(ActionGroup nextPhase)

### ActionGroupCImpl

    public ActionGroupCImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD